/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Customer&#39;s Vehicle
 */
@ApiModel(description = "Customer's Vehicle")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model24 {
  @SerializedName("registration_number")
  private String registrationNumber = null;

  @SerializedName("brand")
  private String brand = null;

  @SerializedName("model")
  private String model = null;

  public Model24 registrationNumber(String registrationNumber) {
    this.registrationNumber = registrationNumber;
    return this;
  }

   /**
   * Registration number
   * @return registrationNumber
  **/
  @ApiModelProperty(required = true, value = "Registration number")
  public String getRegistrationNumber() {
    return registrationNumber;
  }

  public void setRegistrationNumber(String registrationNumber) {
    this.registrationNumber = registrationNumber;
  }

  public Model24 brand(String brand) {
    this.brand = brand;
    return this;
  }

   /**
   * Brand of the vehicle.
   * @return brand
  **/
  @ApiModelProperty(example = "Audi", value = "Brand of the vehicle.")
  public String getBrand() {
    return brand;
  }

  public void setBrand(String brand) {
    this.brand = brand;
  }

  public Model24 model(String model) {
    this.model = model;
    return this;
  }

   /**
   * Model of the vehicle.
   * @return model
  **/
  @ApiModelProperty(example = "A5", value = "Model of the vehicle.")
  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model24 model24 = (Model24) o;
    return Objects.equals(this.registrationNumber, model24.registrationNumber) &&
        Objects.equals(this.brand, model24.brand) &&
        Objects.equals(this.model, model24.model);
  }

  @Override
  public int hashCode() {
    return Objects.hash(registrationNumber, brand, model);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model24 {\n");
    
    sb.append("    registrationNumber: ").append(toIndentedString(registrationNumber)).append("\n");
    sb.append("    brand: ").append(toIndentedString(brand)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

